%define shortname commons-compress
%define snapshot 20081205
%define revision 727209

Name:           jakarta-%{shortname}
Version:        0
Release:        0.1.%{snapshot}svn%{revision}%{?dist}
Summary:        Java API for working with tar, zip and bzip2 files
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://commons.apache.org/sandbox/compress/
# svn checkout http://svn.apache.org/repos/asf/commons/sandbox/compress/trunk commons-compress
Source0:        %{name}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 1:1.6.0
BuildRequires:     jpackage-utils
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils

%description
The code in this component came from Avalon's Excalibur, but originally
from Ant, as far as life in Apache goes. The tar package is originally
Tim Endres' public domain package. The bzip2 package is based on the
work done by Keiron Liddle. It has migrated via:
Ant -> Avalon-Excalibur -> Commons-IO -> Commons-Compress. 


%package javadoc
Summary:           Javadocs for jcalendar
Group:             Documentation
Requires:          %{name} = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
JCalendar development documentation.


%prep
%setup -q -n %{name}


%build
mkdir target

pushd src
rm -rf test
javac -d ../target `find -name '*.java'`
javadoc -d ../doc `find -name '*.java'`
popd

jar -cf %{name}-%{version}.jar -C target .


%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{shortname}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{shortname}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt
%{_javadir}/%{shortname}.jar
%{_javadir}/%{shortname}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Wed Dec 17 2008 Sandro Mathys <red at fedoraproject.org> - 0-0.1.20081205svn727209
- initial build
